discussion.models.Subject Class Reference

This class is used to create the Subject table. More...

Inheritance diagram for discussion.models.Subject:
[legend]
Collaboration diagram for discussion.models.Subject:
[legend]

## Classes

class | Meta

## Public Member Functions

def | __str__ (self)

## Static Public Attributes

| sub_code = models.CharField(max_length=5)
| sub_name = models.CharField(max_length=100)
| sub_detail = models.CharField(max_length=500)
| prof = models.ForeignKey(Person, on_delete=models.CASCADE)

## Detailed Description

This class is used to create the Subject table.

    This class is used to create the Subject table in the database in which we will be storing the subject created by the Professors

The documentation for this class was generated from the following file:

- discussion/models.py